Subject: [ANN] netcdf 3.4 for mingw32
From: [email-masked] (Mumit Khan)

17 Jun 1998 14:33:08 -0700
Message-ID: <[email-masked]>
To: [email-masked]

I've uploaded a mingw32 compiled netcdf v3.4 on my ftp site. For Cygwin32,
please see Arlindo's port (http://www.unidata.ucar.edu/ has a link to his
page).

ftp://ftp.xraylith.wisc.edu/pub/khan/gnu-win32/mingw32/ports/netcdf-3.4.zip

C, C++ and F77 bindings are enabled.

For those interested, it took 2 lines of change, and those were so obvious
that it probably doesn't require any comments. 
  
  src/libsrc/posixio.c:
    `#ifdef S_IRUSR' to `#if defined (S_IRUSR) && ! defined (__MINGW32__)'

    This is due to a feature of the mingw32 header files. MSVC headers
    don't define S_IRUSR.
  
  Define `CPPFLAGS = -Df2cFortran' when building the f77 bindings.

Enjoy,
Mumit
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".